Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.wsrp.model
Enum IServiceDescription.SupportedOption

    java.lang.Object
      java.lang.Enum<IServiceDescription.SupportedOption>
          com.bea.wsrp.model.IServiceDescription.SupportedOption

All Implemented Interfaces
  Serializable, Comparable<IServiceDescription.SupportedOption>

Enclosing interface:
  IServiceDescription

    public static enum IServiceDescription.SupportedOption

extends Enum<IServiceDescription.SupportedOption>

Enum Constant Summary
`COPY_PORTLETS`
`EVENTS`
`EXPORT`
`IMPORT`
`LEASING`
`WLP_CUSTOM_DATA`
`WLP_EVENTS`
`WLP_GET_REG_PROP`
`WLP_LAF`
`WLP_SWA`

Method Summary
`static IServiceDescription.SupportedOption` | `getSupportOption(String optionString)`
`String` | `toString()`
`static IServiceDescription.SupportedOption` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IServiceDescription.SupportedOption[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EVENTS

    public static final IServiceDescription.SupportedOption EVENTS

### LEASING

    public static final IServiceDescription.SupportedOption LEASING

### COPY_PORTLETS

    public static final IServiceDescription.SupportedOption COPY_PORTLETS

### IMPORT

    public static final IServiceDescription.SupportedOption IMPORT

### EXPORT

    public static final IServiceDescription.SupportedOption EXPORT

### WLP_EVENTS

    public static final IServiceDescription.SupportedOption WLP_EVENTS

### WLP_CUSTOM_DATA

    public static final IServiceDescription.SupportedOption WLP_CUSTOM_DATA

### WLP_LAF

    public static final IServiceDescription.SupportedOption WLP_LAF

### WLP_SWA

    public static final IServiceDescription.SupportedOption WLP_SWA

### WLP_GET_REG_PROP

    public static final IServiceDescription.SupportedOption WLP_GET_REG_PROP

Method Detail

### values

    public static final IServiceDescription.SupportedOption[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static IServiceDescription.SupportedOption valueOf(String name)

  Returns the enum constant of this type with the specified name.

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<IServiceDescription.SupportedOption>`

### getSupportOption

    public static IServiceDescription.SupportedOption getSupportOption(String optionString)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved